.homeWrap {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  width: 100%;
  background-image: url("./Assets/wallpaper.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.weatherSection {
  display: flex;
  border-radius: 25px;
  box-shadow: 4px 6px 6px 7px rgb(0 0 0 / 10%);
  color: #fff;
  margin: 20px;
  height: max-content;
  background: rgba(0, 0, 0, 0.1);
  border: solid 2px #ffff;
  padding: 0;
}
.leftWrap {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  padding-left: 20px;
  border-radius: 25px;
  width: 500px;
  transition: transform 0.3s ease;
  transform: translateZ(0) scale(1.02) perspective(1000px);
  background: #000e1b;
  margin-right: 10px;
  box-shadow: -1px 1px 9px 14px rgb(0 0 0 / 30%);
}
.rightSide {
  color: #000;
  position: relative;
  float: left;
  height: 100%;
  padding-top: 25px;
  padding-right: 20px;
}


.dateWrap{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 5px;
  align-items: center;
}

.dateWrap h2{
  font-size: 2.5rem;
}

.weatherDesc{
  text-align: center;
  font-style: italic;
}

.weatherContainer{
  display: flex;
  justify-content: center;
}

.stateMenu {
  outline: none;
  width: 100%;
  box-sizing: border-box;
  border: none;
  border-radius: 25px;
  padding: 10px;
  color: #000;
  font-weight: 700;
  box-shadow: 0 0 30px -5px #00000040;
  cursor: pointer;
  transition: transform 0.2s ease;
  transition: transform 0.2s ease, -webkit-transform 0.2s ease;
}

.loadstate{
  margin-left:5px;
  padding: 5px;
}

.humidcontainer {
  display: flex;
  margin-left: 2px;
  justify-content: space-between;
}

.humidityWrap {
  padding: 15px;
  margin-top: 15px;
  border-radius: 10px;
  background-color: rgba(0, 0, 0, 0.5);
  color: #fff;
  margin-bottom: 20px;
}
.humidityWrap > * {
  display: flex;
  justify-content: space-between;
}
.humidityData + .humidityData {
  margin-top: 10px;
}

.title {
  font-weight: 700;
  padding-left:2px;
  margin-top: -2px;
}
.cardWrap {
  background: rgba(0, 0, 0, 0.2);
  border-radius: 15px;
  margin-bottom: 25px;
}
.cardList {
  list-style-type: none;
  padding: 0;
  margin: 10px 0;
}
.cardList::after,
.cardList::before {
  content: "";
  overflow: hidden;
  clear: both;
  display: table;
}
.cardList > li {
  float: left;
  padding: 15px;
  cursor: pointer;
  transition: 0.2s ease;
}
.day-icon {
  display: block;
  height: 40px;
  width: auto;
  margin: 0 auto;
}
.day-name {
  display: block;
  margin: 10px 0 0;
  text-align: center;
}
.day-temp {
  display: block;
  text-align: center;
  margin: 10px 0 0;
  font-weight: 700;
}
.cardList > li.active {
  background: #fff;
  border-radius: 10px;
}
.cardList > li:hover {
  background: #fff;
  border-radius: 10px;
  transform: scale(1.1);
  box-shadow: 0 0 40px -5px #0003;
}

.dateDay,
.locationName {
  display: block;
}
.locationName {
  margin-top: 10px;
}
.weatherTemp {
  margin: 0;
  font-weight: 700;
  font-size: 4em;
}

@media only screen and (max-width: 700px) {
  .weatherSection,
  .homeWrap,
  .leftWrap,
  .rightSide {
    display: block;
    height: auto;
    float: none;
  }
  .weatherSection {
    margin: 0;
  }
  .stateMenu {
    width: auto;
  }
  .humidityWrap > * {
    display: block;
  }
  .humidityData {
    overflow: hidden;
  }
  .title {
    float: left;
  }
  .value {
    float: right;
  }
  .leftWrap {
    width: auto;
    margin: 0 0 0 0;
    padding: 20px;
  }
  .homeWrap {
    padding: 40px 25px;
  }
  h2 {
    margin: 0;
  }
  .rightSide {
    padding-left: 25px;
  }
  .cardWrap {
    margin-top: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
  }
}
